--- old/usr/src/cmd/cmd-inet/etc/services	Tue Mar 28 18:14:28 2017
+++ new/usr/src/cmd/cmd-inet/etc/services	Tue Mar 28 18:14:28 2017
@@ -68,6 +68,10 @@
 sunrpc		111/udp		rpcbind
 sunrpc		111/tcp		rpcbind
 sftp		115/tcp
+nntp		119/tcp		usenet		# Network News Transfer
+nntp		119/udp		usenet		# Network News Transfer
+ntp		123/tcp				# Network Time Protocol
+ntp		123/udp				# Network Time Protocol
 imap		143/tcp		imap2		# Internet Mail Access Protocol v2
 bgp		179/tcp				# Border Gateway Protocol
 bgp		179/udp
@@ -78,10 +82,13 @@
 smux		199/udp
 imap3		220/tcp
 imap3		220/udp
+pt-tls		271/tcp				# IETF Network Endpoint Assessment (NEA) Posture Transport Protocol over TLS (PT-TLS)
 clearcase	371/tcp
 clearcase	371/udp
 ldap		389/tcp				# Lightweight Directory Access Protocol	
 ldap		389/udp				# Lightweight Directory Access Protocol
+nnsp		433/tcp				# NNTP for transit servers (NNSP)
+nnsp		433/udp				# NNTP for transit servers (NNSP)
 https		443/tcp
 https		443/udp
 https		443/sctp
@@ -103,6 +110,8 @@
 ldaps		636/udp				# LDAP protocol over TLS/SSL (was sldap)
 silc		706/tcp
 silc		706/udp
+domain-s	853/tcp				# DNS query-response protocol over TLS/DTLS
+domain-s	853/udp				# DNS query-response protocol over TLS/DTLS
 iscsi		860/tcp
 iscsi		860/udp
 rsync		873/tcp
@@ -117,6 +126,9 @@
 pop3s		995/udp
 socks		1080/tcp
 socks		1080/udp
+webpush		1001/tcp			# HTTP Web Push [RFC8030]
+6a44		1027/udp			# IPv6 Behind NAT44 CPEs
+ltp-deepspace	1113/dccp			# Licklider Transmission Protocol
 openvpn		1194/tcp
 openvpn		1194/udp
 icap		1344/tcp			# Internet Content Adaptation Protocol
@@ -126,6 +138,10 @@
 radius		1812/udp
 radius-acct	1813/tcp
 radius-acct	1813/udp
+radsec		2083/tcp			# Secure Radius Service
+radsec		2083/udp			# Secure Radius Service
+amt		2268/tcp			# Automatic Multicast Tunneling
+amt		2268/udp			# Automatic Multicast Tunneling
 cvspserver	2401/tcp
 icpv2		3130/tcp
 icpv2		3130/udp
@@ -136,18 +152,49 @@
 nut		3493/tcp			# Network UPS Tools
 svn		3690/tcp
 svn		3690/udp
+sieve		4190/tcp			# ManageSieve protocol
+netconf-ch-ssh	4334/tcp			# NETCONF Call Home (SSH)
+netconf-ch-tls	4335/tcp			# NETCONF Call Home (TLS)
+restconf-ch-tls	4336/tcp			# RESTCONF Call Home (TLS)
+lisp-data	4341/udp			# LISP Data Packets
+lisp-control	4342/udp			# LISP Control Packets
 epmd		4369/tcp			# Erlang Port Mapper Daemon
 epmd		4369/udp
+dtn-bundle	4556/dccp			# DTN Bundle DCCP CL Protocol
+gre-in-udp	4754/udp			# GRE-in-UDP Encap.
+gre-udp-dtls	4755/udp			# GRE-in-UDP Encap. w/ DTLS
+vxlan		4789/udp			# Virtual eXtensible Local Area Network (VXLAN)
 sip		5060/tcp
 sip		5060/udp
 sip-tls		5061/tcp
 sip-tls		5061/udp
+cxtp		5091/stcp			# Context Transfer Protocol
 xmpp-client	5222/tcp
 xmpp-server	5269/tcp
 postgresql	5432/tcp	postgres
 postgresql	5432/udp	postgres
+coap		5683/udp			# Constrained Application Protocol
+coaps		5684/udp			# DTLS-secured CoAP
+rfb		5900/tcp			# Remote Framebuffer
+rfb		5900/udp			# Remote Framebuffer
+reload-config	6084/tcp			# Peer to Peer Infrastructure Configuration
+odette-ftps	6619/tcp			# ODETTE-FTP over TLS/SSL
+odette-ftps	6619/udp			# ODETTE-FTP over TLS/SSL
+mpls-udp	6635/udp			# Encapsulate MPLS packets in UDP tunnels.
+mpls-udp-dtls	6636/udp			# Encapsulate MPLS packets in UDP tunnels with DTLS.
+ovsdb		6640/tcp			# Open vSwitch Database protocol
+ircs-u		6697/tcp			# Internet Relay Chat via TLS/SSL
+bfd-lag		6784/udp			# Bidirectional Forwarding Detection (BFD) on Link Aggregation Group (LAG) Interfaces
+s-bfd		7784/udp			# Seamless Bidirectional Forwarding Detection
+mipv6tls	7872/udp			# TLS-based Mobile IPv6 Security
 http-alt	8080/tcp	webcache	# HTTP Alternate, webcache
 http-alt	8080/udp
+pim-port	8471/tcp			# PIM over Reliable Transport
+pim-port	8471/stcp			# PIM over Reliable Transport
+lsp-self-ping	8503/udp			# MPLS LSP Self-Ping
+hncp-udp-port	8231/udp			# HNCP
+hncp-dtls-port	8232/udp			# HNCP over DTLS
+kca-service	9878/udp			# KX509 Kerberized Certificate Issuance Protocol
 memcache	11211/tcp
 memcache	11211/udp
 #
@@ -163,9 +210,6 @@
 x400-snd	104/tcp
 csnet-ns	105/tcp
 uucp-path	117/tcp
-nntp		119/tcp		usenet		# Network News Transfer
-ntp		123/tcp				# Network Time Protocol
-ntp		123/udp				# Network Time Protocol
 netbios-ns	137/tcp				# NETBIOS Name Service
 netbios-ns	137/udp				# NETBIOS Name Service
 netbios-dgm	138/tcp				# NETBIOS Datagram Service
@@ -215,6 +259,8 @@
 swat		901/tcp				# Samba Web Adm.Tool
 ufsd		1008/tcp	ufsd		# UFS-aware server
 ufsd		1008/udp	ufsd
+rsf-1		1195/tcp			# RSF-1 clustering
+rsf-1		1195/udp			# RSF-1 clustering
 cvc		1495/tcp			# Network Console
 ingreslock	1524/tcp
 www-ldap-gw	1760/tcp			# HTTP to LDAP gateway
@@ -234,6 +280,8 @@
 servicetag	6481/udp
 servicetag	6481/tcp
 fs		7100/tcp			# Font server
+git		9418/tcp			# git pack transfer service
+git		9418/udp			# git pack transfer service
 solaris-audit	16162/tcp			# Secure remote audit logging
 wnn6		22273/tcp			# Wnn6 jserver
 wnn6		22273/udp			# Wnn6 jserver
